---
title: RTCPeerConnection.getIdentityAssertion()
slug: Web/API/RTCPeerConnection/getIdentityAssertion
tags:
  - Experimental
  - Method
  - RTCPeerConnection
  - Reference
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The <code><strong>RTCPeerConnection.getIdentityAssertion()</strong></code> method initiates the gathering of an identity assertion. This has an effect only if the {{domxref("RTCPeerConnection.signalingState", "signalingState")}} is not <code>"closed"</code>.</p>

<p>The method returns immediately. If the assertion cannot be generated, an {{event("idpassertionerror")}} will be sent to the object.</p>

<p>It is not expected for the application dealing with the <code>RTCPeerConnection</code>: this is automatically done; an explicit call only allows to anticipate the need.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><em>pc</em>.getIdentityAssertion();
</code></pre>

<p><em>There is neither parameter nor return value for this method.</em></p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var pc = new PeerConnection();

pc.getIdentityAssertion(); // Not mandatory, but we know that we will need it in the future.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Identity', '#dfn-getidentityassertion', 'RTCPeerConnection.getIdentityAssertion()') }}</td>
   <td>{{ Spec2('WebRTC Identity') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.getIdentityAssertion")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
</ul>
